---
title: Update a Webhook
description: Update an existing webhook by providing its numeric ID.
url: https://storyblok.com/docs/api/management/webhooks/update-a-webhook
---

# Update a Webhook

PUT

```html
https://mapi.storyblok.com/v1/spaces/:space_id/webhook_endpoints/:webhook_endpoint_id
```

Update an existing webhook by providing its numeric ID.

> [!WARNING]
> This endpoint requires an admin or owner role.

## Path parameters

-   `:space_id` (required) (number)
    
    Numeric ID of a space
    
-   `:webhook_endpoint_id` (required) (number)
    
    Webhook ID
    

## Request body properties

-   `webhook_endpoint` (The Webhook Object)
    
    [Webhook object](/docs/api/management/webhooks/the-webhook-object)
    

## Response properties

-   `webhook_endpoint` (The Webhook Object)
    
    [Webhook object](/docs/api/management/webhooks/the-webhook-object)
    

## Examples

-   cURL
    
    ```shellscript
    curl "https://mapi.storyblok.com/v1/spaces/288868932106293/webhook_endpoints/4570" \
      -X PUT \
      -H "Authorization: YOUR_OAUTH_TOKEN" \
      -H "Content-Type: application/json" \
      -d "{\"webhook_endpoint\":{\"actions\":[\"story.published\",\"story.unpublished\"],\"activated\":true,\"endpoint\":\"https://new-api-endpoint.com\",\"name\":\"Rebuild Website\",\"secret\":\"HelloSecret\"}}"
    ```
    
-   JS
    
    ```javascript
    // storyblok-js-client@>=7, node@>=18
    import Storyblok from "storyblok-js-client";
    
    const storyblok = new Storyblok({
      oauthToken: "YOUR_PERSONAL_ACCESS_TOKEN",
    });
    
    try {
      const response = await storyblok.put('spaces/288868932106293/webhook_endpoints/4570', {
        "webhook_endpoint": {
          "actions": [
            "story.published",
            "story.unpublished"
          ],
          "activated": true,
          "endpoint": "https://new-api-endpoint.com",
          "name": "Rebuild Website",
          "secret": "HelloSecret"
        }
      })
      console.log({ response })
    } catch (error) {
      console.log(error)
    }
    ```
    
-   PHP
    
    ```php
    $client = new \Storyblok\ManagementClient('YOUR_OAUTH_TOKEN');
    
    $payload = ["webhook_endpoint" => ["actions" => ["story.published","story.unpublished"],"activated" => true,"endpoint" => "https => //new-api-endpoint.com","name" => "Rebuild Website","secret" => "HelloSecret"]];
    
    $client->put('spaces/288868932106293/webhook_endpoints/4570', $payload)->getBody();
    ```
    
-   Java
    
    ```java
    HttpResponse<String> response = Unirest.put("https://mapi.storyblok.com/v1/spaces/288868932106293/webhook_endpoints/4570")
      .header("Content-Type", "application/json")
      .header("Authorization", "YOUR_OAUTH_TOKEN")
      .body({"webhook_endpoint":{"actions":["story.published","story.unpublished"],"activated":true,"endpoint":"https://new-api-endpoint.com","name":"Rebuild Website","secret":"HelloSecret"}})
      .asString();
    ```
    
-   C#
    
    ```csharp
    var client = new RestClient("https://mapi.storyblok.com/v1/spaces/288868932106293/webhook_endpoints/4570");
    var request = new RestRequest(Method.PUT);
    
    request.AddHeader("Content-Type", "application/json");
    request.AddHeader("Authorization", "YOUR_OAUTH_TOKEN");
    request.AddParameter("application/json", "{\"webhook_endpoint\":{\"actions\":[\"story.published\",\"story.unpublished\"],\"activated\":true,\"endpoint\":\"https://new-api-endpoint.com\",\"name\":\"Rebuild Website\",\"secret\":\"HelloSecret\"}}", ParameterType.RequestBody);
    IRestResponse response = client.Execute(request);
    ```
    
-   Python
    
    ```python
    import requests
    
    url = "https://mapi.storyblok.com/v1/spaces/288868932106293/webhook_endpoints/4570"
    
    querystring = {}
    
    payload = {"webhook_endpoint":{"actions":["story.published","story.unpublished"],"activated":true,"endpoint":"https://new-api-endpoint.com","name":"Rebuild Website","secret":"HelloSecret"}}
    headers = {
      'Content-Type': "application/json",
      'Authorization': "YOUR_OAUTH_TOKEN"
    }
    
    response = requests.request("PUT", url, data=payload, headers=headers, params=querystring)
    
    print(response.text)
    ```
    
-   Ruby
    
    ```ruby
    require 'storyblok'
    client = Storyblok::Client.new(oauth_token: 'YOUR_OAUTH_TOKEN')
    
    payload = {"webhook_endpoint" => {"actions" => ["story.published","story.unpublished"],"activated" => true,"endpoint" => "https => //new-api-endpoint.com","name" => "Rebuild Website","secret" => "HelloSecret"}}
    
    client.put('spaces/288868932106293/webhook_endpoints/4570', payload)
    ```
    
-   Swift
    
    ```swift
    let storyblok = URLSession(storyblok: .mapi(accessToken: .oauth("YOUR_OAUTH_TOKEN")))
    var request = URLRequest(storyblok: storyblok, path: "spaces/288868932106293/webhook_endpoints/4570")
    request.httpMethod = "PUT"
    request.httpBody = try JSONSerialization.data(withJSONObject: [
        "webhook_endpoint": [
            "actions": [
                "story.published",
                "story.unpublished",
            ],
            "activated": true,
            "endpoint": "https://new-api-endpoint.com",
            "name": "Rebuild Website",
            "secret": "HelloSecret",
        ],
    ])
    let (data, _) = try await storyblok.data(for: request)
    print(try JSONSerialization.jsonObject(with: data))
    ```
    
-   Kotlin
    
    ```kotlin
    val client = HttpClient {
        install(Storyblok(MAPI)) {
            accessToken = OAuth("YOUR_OAUTH_TOKEN")
        }
    }
    
    val response = client.put("spaces/288868932106293/webhook_endpoints/4570") {
        setBody(buildJsonObject {
            putJsonObject("webhook_endpoint") {
                putJsonArray("actions") {
                    add("story.published")
                    add("story.unpublished")
                }
                put("activated", true)
                put("endpoint", "https://new-api-endpoint.com")
                put("name", "Rebuild Website")
                put("secret", "HelloSecret")
            }
        })
    }
    
    println(response.body<JsonElement>())
    ```

## Pagination

-   [Previous: The Webhook Object](/docs/api/management/webhooks/the-webhook-object)
-   [Next: Workflow Stages](/docs/api/management/workflow-stage)
